<h1 style="padding-bottom: 8px">Hexdump (still in development)</h1>
<div class="outer-container">
  <div class="left-group">
    <div class="btn-group">
      <input
        class="btn-check"
        id="leftOption"
        name="optionGroup"
        type="radio"
        [value]="false"
        [(ngModel)]="isBigEndian"
        (ngModelChange)="clearSeed($event)"
      />
      <label class="btn btn-outline-primary" for="leftOption">Little-Endian</label>

      <input
        class="btn-check"
        id="rightOption"
        name="optionGroup"
        type="radio"
        [value]="true"
        [(ngModel)]="isBigEndian"
        (ngModelChange)="clearSeed($event)"
      />
      <label class="btn btn-outline-primary" for="rightOption">Big-Endian</label>
    </div>

    <div class="btn-group">
      <input
        class="btn-check"
        id="leftOption2"
        name="optionGroup2"
        type="radio"
        [value]="false"
        [(ngModel)]="is16Bit"
        (ngModelChange)="clearSeed($event)"
      />
      <label class="btn btn-outline-primary" for="leftOption2">32-Bit</label>

      <input
        class="btn-check"
        id="rightOption2"
        name="optionGroup2"
        type="radio"
        [value]="true"
        [(ngModel)]="is16Bit"
        (ngModelChange)="clearSeed($event)"
      />
      <label class="btn btn-outline-primary" for="rightOption2">16-Bit</label>
    </div>
  </div>
  <div class="right-group">
    <!--<input id="seedField" class="form-control configInput" placeholder="Seed" [(ngModel)]="seed" />
    <button class="btn btn-primary" type="button" (click)="generateRandomSeed()">
      <fa-icon [icon]="faRandom"></fa-icon>
    </button>-->
    <button class="btn btn-primary" type="button" (click)="submitData()">Generate Random Task</button>

    <button class="btn btn-primary" type="button" (click)="copyUrlToClipboard()" [title]="'copy state to clipboard'">
      Copy URL for Current Task
      <fa-icon *ngIf="!copied" [icon]="faCopy"></fa-icon>
      <fa-icon *ngIf="copied" [icon]="faCheck"></fa-icon>
    </button>
  </div>
</div>
